<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:svg="http://www.w3.org/2000/svg"
	xmlns:xalan="http://xml.apache.org/xalan" xmlns:counter="bitel.billing.server.util.exslt.Counter"
	version="1.0">

	<xalan:component prefix="counter" functions="add set get">
		<xalan:script lang="javaclass"
			src="xalan://bitel.billing.server.util.exslt.Counter" />
	</xalan:component>

	<xsl:output encoding="windows-1251" method='xml' indent='yes' />

	<!--  : payment_purpose   bill_number  
		 date   payer  total_sum :  total_NDS 
		:  total_sumWithNDS :    total_toPay    
		<pay //\//\//\//\//\//\//\//\//\// goods  unit . amount - price 
		 sum  NDS  sumWithNDS    //\//\//\//\//\//\//\//\//\// 
		/> -->

	<!--   -->

	<xsl:variable name="postal_address"
		select="'450001,  ,  , .XXX,  , .X, . '" />
	<xsl:variable name="INN" select="'000000000'" />
	<xsl:variable name="KPP" select="'000000000'" />
	<xsl:variable name="title" select="' &quot;XXXXX&quot;'" />

	<xsl:variable name="OKVED" select="' 82000'" />
	<xsl:variable name="OKPO" select="' 45219144'" />
	<!--   -->

	<xsl:variable name="currency" select="''" />

	<!--   -->

	<xsl:attribute-set name="text">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text7">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">7pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_ban">
		<xsl:attribute name="text-align">right</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_bold">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text_left">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text_right">
		<xsl:attribute name="text-align">right</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text_center">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.2cm</xsl:attribute>
		<xsl:attribute name="space-before">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_title">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">14pt</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="space-before">0.3cm</xsl:attribute>
		<xsl:attribute name="space-after">0.2cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text_italic">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text7_left">
		<xsl:attribute name="text-align">left</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">7pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="space-before">0.05cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text7_right">
		<xsl:attribute name="text-align">right</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">7pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.1cm</xsl:attribute>
		<xsl:attribute name="space-before">0.05cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text7_center">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">7pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="space-before">0.05cm</xsl:attribute>
		<xsl:attribute name="space-after">0.05cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="table_text6_center">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="space-before">0.3cm</xsl:attribute>
		<xsl:attribute name="space-after">0.2cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_text6_center_new">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">6pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="space-before">0.37cm</xsl:attribute>
		<xsl:attribute name="space-after">0.37cm</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="table_text5_center">
		<xsl:attribute name="text-align">center</xsl:attribute>
		<xsl:attribute name="font-family">arial</xsl:attribute>
		<xsl:attribute name="font-size">5pt</xsl:attribute>
		<xsl:attribute name="start-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="end-indent">0.05cm</xsl:attribute>
		<xsl:attribute name="space-before">0.05cm</xsl:attribute>
		<xsl:attribute name="space-after">0.05cm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border_top">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-top-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="cell_border_bottom">
		<xsl:attribute name="border-width">0.7pt</xsl:attribute>
		<xsl:attribute name="border-bottom-style">solid</xsl:attribute>
		<xsl:attribute name="border-left-style">solid</xsl:attribute>
		<xsl:attribute name="border-right-style">solid</xsl:attribute>
	</xsl:attribute-set>


	<xsl:template match="data">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<xsl:apply-templates select="bill" />
		</fo:root>
	</xsl:template>

	<xsl:template match="bill">
		<xsl:variable name="nds_rate" select="number(params/@nds)" />
		<xsl:value-of select="counter:set('total_nds', '0.0')" />
		<!-- <xsl:variable name="total_nds" select="number((@total_sum * ($nds_rate 
			div 100))div($nds_rate div 100 + 1))" /> -->

		<fo:layout-master-set>
			<fo:simple-page-master margin-right="2cm"
				margin-left="2cm" margin-bottom="1cm" margin-top="0.5cm" page-width="29.7cm"
				page-height="21cm" master-name="first">
				<fo:region-body margin-top="0cm" margin-bottom="0.0cm" />
				<fo:region-before extent="0cm" />
				<fo:region-after extent="0.5cm" />
			</fo:simple-page-master>
		</fo:layout-master-set>

		<fo:page-sequence master-reference="first">
			<fo:flow flow-name="xsl-region-body">
				<fo:block xsl:use-attribute-sets="text">&#160;</fo:block>
				<!--         -->
				<fo:table table-layout="fixed" width="100%">
					<fo:table-column column-width="15cm"/>
					<fo:table-column column-width="11.5cm" />
					
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="text_title" text-align="left">
									-  <xsl:value-of select="@bill_number" />   <xsl:value-of select="@date" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text_title" text-align="left">
									    
													<xsl:choose>
														<xsl:when test="@correction=0">
															-
														</xsl:when>
														<xsl:when test="@correction">
															<xsl:value-of select="@correction" />  <xsl:value-of select="@correction_date" />
														</xsl:when>
														<xsl:otherwise>
															-
														</xsl:otherwise>
													</xsl:choose>
								</fo:block>
								<fo:block xsl:use-attribute-sets="text_bold">
									: <xsl:value-of select="$title" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									: <xsl:value-of select="$postal_address" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									/ : <xsl:value-of select="$INN" />/<xsl:value-of select="$KPP" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									   : <xsl:value-of select="/data/bill/attributes/@otpr_org_name" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									   : <xsl:value-of select="/data/bill/attributes/@pol_org_name" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									 - 
																	<xsl:choose>
																		<xsl:when test="string-length(@payDoc)>0">
																			<xsl:value-of select="@payDoc" />   <xsl:value-of select="substring(@payDocDate,1,2)" />
																												  &#160;
																												  <xsl:call-template name="month2">
																												  	  <xsl:with-param name="month"
																														  select="number(substring(@payDocDate,4,2))" />
																												  </xsl:call-template>
																												  &#160;
																												  <xsl:value-of select="substring(@payDocDate,7)" />
																												  .
																		</xsl:when>
																		<xsl:otherwise> - </xsl:otherwise>
																	</xsl:choose>
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									: <xsl:value-of select="/data/bill/attributes/@org_name" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									: <xsl:value-of select="/data/bill/attributes/@address" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									/ : <xsl:value-of select="/data/bill/attributes/@inn" />/<xsl:value-of select="/data/bill/attributes/@kpp" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text">
									: 643   
								</fo:block>
							</fo:table-cell>
							
							<fo:table-cell>
								<!--  -->
								<fo:block xsl:use-attribute-sets="text_ban"> 1</fo:block>
								<fo:block xsl:use-attribute-sets="text_ban">        -,</fo:block>
								<fo:block xsl:use-attribute-sets="text_ban">           ,</fo:block>
								<fo:block xsl:use-attribute-sets="text_ban">     2  2000. 914</fo:block>
								<fo:block xsl:use-attribute-sets="text_ban">( .      15  2001 .  189,</fo:block>
								<fo:block xsl:use-attribute-sets="text_ban"> 27  2002 .  575,  16  2004 .  84,  11  2006 . 283,  26  2009 .  451</fo:block>
								<fo:block xsl:use-attribute-sets="text_ban">  26  2011 .  1137)</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
				<!--     -->
				<fo:table space-before="0.2cm" table-layout="fixed">
					<fo:table-column column-width="5cm" />
					<fo:table-column column-width="0.65cm" />
					<fo:table-column column-width="1.7cm" />
					<fo:table-column column-width="1.4cm" />
					<fo:table-column column-width="1.6cm" />
					<fo:table-column column-width="2.0cm" />
					<fo:table-column column-width="1.3cm" />
					<fo:table-column column-width="1.9cm" />
					<fo:table-column column-width="1.9cm" />
					<fo:table-column column-width="2.3cm" />
					<fo:table-column column-width="1.1cm" />
					<fo:table-column column-width="1.6cm" />
					<fo:table-column column-width="3.1cm" />

					<fo:table-header>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> 
									(  ,  ),  
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border" number-columns-spanned="2">
							<!--     -->
								<fo:block>
									<fo:table table-layout="fixed">
										<fo:table-column column-width="0.65cm" />
										<fo:table-column column-width="1.7cm" />
										<fo:table-body>
											<fo:table-row >
												<fo:table-cell number-columns-spanned="2" border-bottom-style="solid" border-bottom-width="0.7pt">
													<fo:block xsl:use-attribute-sets="table_text7_center"> 
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
											<fo:table-row>
												<fo:table-cell >
													<fo:block xsl:use-attribute-sets="table_text6_center"></fo:block>
												</fo:table-cell>
												<fo:table-cell border-left-style="solid" border-left-width="0.7pt">
													<fo:block xsl:use-attribute-sets="table_text6_center">  ()</fo:block>
												</fo:table-cell>
											</fo:table-row>
											<fo:table-row>
												<fo:table-cell border-left-style="solid" border-left-width="0.7pt">
												
												</fo:table-cell>
											</fo:table-row>
										</fo:table-body>
									</fo:table>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> ()</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> ()    </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">  (, ),     - </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">    </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> ,  </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">  (, ),     - </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border" number-columns-spanned="2">
								<fo:block>
									<fo:table table-layout="fixed">
										<fo:table-column column-width="1.1cm" />
										<fo:table-column column-width="1.6cm" />
										<fo:table-body>
											<fo:table-row>
												<fo:table-cell number-columns-spanned="2" border-bottom-style="solid" border-bottom-width="0.7pt">
													<fo:block xsl:use-attribute-sets="table_text7_center"> </fo:block>
												</fo:table-cell>
											</fo:table-row>
											<fo:table-row>
												<fo:table-cell>
													<fo:block xsl:use-attribute-sets="table_text6_center_new"> </fo:block>
												</fo:table-cell>
												<fo:table-cell border-left-style="solid" border-left-width="0.7pt">
													<fo:block xsl:use-attribute-sets="table_text6_center_new"> </fo:block>
												</fo:table-cell>
											</fo:table-row>
										</fo:table-body>
									</fo:table>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">  </fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">1</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">2</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">2a</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">3</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">4</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">5</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">6</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">7</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">8</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">9</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">10</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">10a</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">11</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>

					<fo:table-body>
						<xsl:for-each select="pos">
							<xsl:variable name="nds" select="number((@summ * ($nds_rate div 100))div($nds_rate div 100 + 1))" />
							<xsl:value-of select="counter:add( 'total_nds', format-number($nds, '0.00') )" />
							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_left">
										<xsl:value-of select="@name" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_center">
										<xsl:choose>
											<xsl:when test="@unitCode">
												<xsl:value-of select="@unitCode" />
											</xsl:when>
											<xsl:otherwise>
												796
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_center">
										<xsl:choose>
											<xsl:when test="@unit">
												<xsl:value-of select="@unit" />
											</xsl:when>
											<xsl:otherwise>
												
											</xsl:otherwise>
										</xsl:choose>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:if test="@quantity">
											<xsl:value-of select="@quantity" />
										</xsl:if>
										<xsl:if test="not(@quantity)">1</xsl:if>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number(@summ - $nds, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number(@summ - $nds, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right"></fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_center">
										<xsl:value-of select="format-number($nds_rate, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number($nds,  '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number(@summ,  '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right"></fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right"></fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right"></fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>

						<fo:table-row>
							<fo:table-cell number-columns-spanned="5" xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_left" >
									  
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_right">
									<xsl:value-of select="format-number(@total_sum - counter:get( 'total_nds'), '0.00')"></xsl:value-of>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell number-columns-spanned="2" xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center" >
									X
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_right">
									<xsl:value-of select="format-number(counter:get( 'total_nds' ), '0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_right">
									<xsl:value-of select="format-number(@total_sum, '0.00')" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
				<!--      -->
				<fo:table space-before="0.5cm" start-indent="0.5cm" table-layout="fixed" width="100%">
					<fo:table-column column-width="4.5cm" />
					<fo:table-column column-width="2.5cm" />
					<fo:table-column column-width="2.5cm" />
					<fo:table-column column-width="3cm" />
					<fo:table-column column-width="4.5cm" />
					<fo:table-column column-width="2.5cm" />
					<fo:table-column column-width="2.5cm" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="text7">     </fo:block>
							</fo:table-cell>
							<fo:table-cell number-columns-spanned="2">
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell >
								<fo:block xsl:use-attribute-sets="text7">     </fo:block>
							</fo:table-cell>
							<fo:table-cell number-columns-spanned="2">
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:call-template name="line">
										<xsl:with-param name="width" select="'2.5cm'"/>
										<xsl:with-param name="weight" select="'0.6pt'"/>
										<xsl:with-param name="space-before" select="'0.3cm'"/>
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell border-bottom-style="solid" border-bottom-width="0.6pt">
								<fo:block xsl:use-attribute-sets="text7">
									<xsl:value-of select="/data/inline_params/@name" />
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:call-template name="line">
										<xsl:with-param name="width" select="'2.5cm'"/>
										<xsl:with-param name="weight" select="'0.6pt'"/>
										<xsl:with-param name="space-before" select="'0.3cm'"/>
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell border-bottom-style="solid" border-bottom-width="0.6pt">
								<fo:block xsl:use-attribute-sets="text7">
									<xsl:value-of select="/data/inline_params/@name" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									()
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									(...)
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									()
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									(...)
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>
							<fo:table-cell number-columns-spanned="3">
								<fo:block xsl:use-attribute-sets="text7" text-align="center">
									<xsl:value-of select="/data/inline_params/@prikaz" />
								</fo:block>
							</fo:table-cell>

							<fo:table-cell>
							</fo:table-cell>

							<fo:table-cell number-columns-spanned="3">
								<fo:block xsl:use-attribute-sets="text7" text-align="center">
									<xsl:value-of select="/data/inline_params/@prikaz" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
				<!--   -->
				<fo:table space-before="0.4cm" start-indent="0.5cm"
					table-layout="fixed" width="100%">
					<fo:table-column column-width="5cm" />
					<fo:table-column column-width="3.5cm" />
					<fo:table-column column-width="3.5cm" />
					<fo:table-column column-width="15cm" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="text7"> </fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:call-template name="line">
										<xsl:with-param name="width" select="'2.5cm'"/>
										<xsl:with-param name="weight" select="'0.6pt'"/>
										<xsl:with-param name="space-before" select="'0.3cm'"/>
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:call-template name="line">
										<xsl:with-param name="width" select="'2.5cm'"/>
										<xsl:with-param name="weight" select="'0.6pt'"/>
										<xsl:with-param name="space-before" select="'0.3cm'"/>
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block>
									<xsl:call-template name="line">
										<xsl:with-param name="width" select="'13.7cm'"/>
										<xsl:with-param name="weight" select="'0.6pt'"/>
										<xsl:with-param name="space-before" select="'0.3cm'"/>
									</xsl:call-template>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						
						<fo:table-row>
							<fo:table-cell>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									()
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									(...)
								</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block xsl:use-attribute-sets="table_text5_center">
									(      )
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						
						<fo:table-row>
						</fo:table-row>
					</fo:table-body>
				</fo:table>
				<fo:block xsl:use-attribute-sets="text7" space-before="0.0cm">:   - ,   - . </fo:block>
			</fo:flow>
		</fo:page-sequence>

		<fo:page-sequence master-reference="first">
			<fo:flow flow-name="xsl-region-body">

				<fo:block xsl:use-attribute-sets="text" space-before="0.2cm">
					  <xsl:value-of select="@contract" />
				</fo:block>
				<fo:block xsl:use-attribute-sets="text_title" text-align="center">
					 -   <xsl:value-of select="@bill_number" />  <xsl:value-of select="@date" />
				</fo:block>
				<fo:block xsl:use-attribute-sets="text7" space-before="0.0cm">
					, ,   ,	<xsl:value-of select="/data/inline_params/@dolz" />
					&#160; <xsl:value-of select="/data/inline_params/@name" />,    
					<xsl:value-of select="/data/inline_params/@dover" />   ,    , <xsl:value-of select="/data/bill/attributes/@dolz" />
					&#160; <xsl:value-of select="/data/bill/attributes/@face" />,    <xsl:value-of select="/data/bill/attributes/@osn" />
					  ,     ,  ,       &lt;
					<xsl:call-template name="month"> 
						<xsl:with-param name="month" select="@mm" />
					</xsl:call-template>
					<xsl:value-of select="@yy" /> .&gt;,      .
				</fo:block>

				<fo:table table-layout="fixed">
					<fo:table-column column-width="8cm" />
					<fo:table-column column-width="2cm" />
					<fo:table-column column-width="2cm" />
					<fo:table-column column-width="2cm" />
					<fo:table-column column-width="2.5cm" />
					<fo:table-column column-width="2cm" />
					<fo:table-column column-width="3cm" />
					<fo:table-column column-width="4cm" />

					<fo:table-header>
						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">  (  ,  )</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block end-indent="0.01cm" start-indent="0.01cm"	xsl:use-attribute-sets="table_text7_center"> </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"></fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> ()   </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">  (, ),    </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center"> </fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">  (, )    </fo:block>
							</fo:table-cell>
						</fo:table-row>

						<fo:table-row>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">1</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">2</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">3</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">4</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">5</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">7</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">8</fo:block>
							</fo:table-cell>
							<fo:table-cell xsl:use-attribute-sets="cell_border">
								<fo:block xsl:use-attribute-sets="table_text7_center">9</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-header>

					<fo:table-body>
						<xsl:for-each select="pos">
							<xsl:variable name="nds" select="number((@summ * ($nds_rate div 100))div($nds_rate div 100 + 1))" />

							<fo:table-row>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_left">
										<xsl:value-of select="@name" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_center">
										<xsl:if test="@unit">
											<xsl:value-of select="@unit" />
										</xsl:if>
										<xsl:if test="not(@unit)">
											
										</xsl:if>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:if test="@quantity">
											<xsl:value-of select="@quantity" />
										</xsl:if>
										<xsl:if test="not(@quantity)">
											1
										</xsl:if>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number(@summ - $nds, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number(@summ - $nds, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_center">
										<xsl:value-of select="format-number($nds_rate, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number($nds, '0.00')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell xsl:use-attribute-sets="cell_border">
									<fo:block xsl:use-attribute-sets="table_text7_right">
										<xsl:value-of select="format-number(@summ, '0.00')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>

				<xsl:if test="@with_stamp">
					<fo:table table-layout="fixed" width="100%">
						<fo:table-column column-width="0.0cm" />
						<fo:table-column column-width="4.0cm" />
						<fo:table-column column-width="proportional-column-width(1)" />
						<fo:table-body>
							<fo:table-row>
								<fo:table-cell>
								</fo:table-cell>
								<fo:table-cell number-columns-spanned="2">
									<fo:external-graphic src="webroot/stamp.gif"
										width="4.1cm" height="3.85cm" content-height="3.85cm"
										content-width="4.1cm" space-before="1.2cm" />
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</xsl:if>

				<fo:table table-layout="fixed" >

					<xsl:choose>
						<xsl:when test="@with_stamp">
							<xsl:attribute name="space-before">-5.1cm</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="space-before">0.5cm</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>

					<fo:table-column column-width="proportional-column-width(1)" />
					<fo:table-body>
						<fo:table-row>
							<fo:table-cell>

								<fo:table table-layout="fixed" space-before="0.3cm">
									<fo:table-column column-width="5cm" />
									<fo:table-column column-width="10cm" />

									<fo:table-body>
										<fo:table-row>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left">  :</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left">
													<xsl:value-of select="@total_sum" /> .
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
										<fo:table-row>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left">   :</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left">
													<xsl:value-of select="format-number( counter:get( 'total_nds' ), '0.00')" /> .
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-body>
								</fo:table>

								<fo:table table-layout="fixed">
									<fo:table-column column-width="7cm" />
									<fo:table-column column-width="8cm" />

									<fo:table-body>
										<fo:table-row>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left" font-weight="bold">
													: <xsl:value-of select="$title" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left" font-weight="bold">
													: <xsl:value-of select="/data/bill/attributes/@org_name" />
												</fo:block>
											</fo:table-cell>
										</fo:table-row>

										<fo:table-row>
											<fo:table-cell>
												<xsl:call-template name="line">
													<xsl:with-param name="width" select="'3.5cm'" />
													<xsl:with-param name="weight" select="'0.6pt'" />
													<xsl:with-param name="space-before" select="'1.0cm'" />
												</xsl:call-template>
											</fo:table-cell>
											<fo:table-cell>
												<xsl:call-template name="line">
													<xsl:with-param name="width" select="'3.5cm'" />
													<xsl:with-param name="weight" select="'0.6pt'" />
													<xsl:with-param name="space-before" select="'1.0cm'" />
												</xsl:call-template>
											</fo:table-cell>
										</fo:table-row>

										<fo:table-row>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left">
													<xsl:value-of select="/data/inline_params/@name" />
												</fo:block>
											</fo:table-cell>
											<fo:table-cell>
												<fo:block xsl:use-attribute-sets="table_text7_left">
													<xsl:value-of select="/data/bill/attributes/@face" />
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</fo:table-body>
								</fo:table>

								<xsl:variable name="dateD" select="substring(@date,1,2)" />

								<fo:block xsl:use-attribute-sets="text7" space-before="0.4cm">
									 <xsl:value-of select="substring(@date,1,2)" />
									&#xA0;
									<xsl:call-template name="month2">
										<xsl:with-param name="month" select="number(substring(@date,4,2))-1" />
									</xsl:call-template>
									&#xA0;<xsl:value-of select="substring(@date,7)" />
									.         
								</fo:block>
								<xsl:call-template name="line">
									<xsl:with-param name="width" select="'100%'" />
									<xsl:with-param name="weight" select="'0.7pt'" />
									<xsl:with-param name="space-before" select="'0.3cm'" />
								</xsl:call-template>

								<fo:block xsl:use-attribute-sets="text7"> !</fo:block>
								<fo:block xsl:use-attribute-sets="text7">
									    ,    ,    
								</fo:block>
								<fo:block xsl:use-attribute-sets="text_bold">
									<xsl:value-of select="$postal_address" />
								</fo:block>
								<fo:block xsl:use-attribute-sets="text7"> ,</fo:block>
								<fo:block xsl:use-attribute-sets="text7">
									 <xsl:value-of select="$title" />
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
				</fo:table>

				<!--<fo:block-container height="2cm" width="20cm"
					top="25cm" left="0mm" position="absolute">
					<fo:block xsl:use-attribute-sets="text7" text-align="left">
						 : <xsl:value-of select="/data/bill/contract_params/parameter[@pid='330']/@value" />
					</fo:block>
					<fo:block xsl:use-attribute-sets="text7" text-align="left">
						: <xsl:value-of select="/data/bill/contract_params/parameter[@pid='377']/@value" />
					</fo:block>
				</fo:block-container> -->
			</fo:flow>
		</fo:page-sequence>
	</xsl:template>

	<xsl:template name="month">
		<xsl:param name="month" />
		<xsl:choose>
			<xsl:when test="$month = 0">
				
			</xsl:when>
			<xsl:when test="$month = 1">
				
			</xsl:when>
			<xsl:when test="$month = 2">
				
			</xsl:when>
			<xsl:when test="$month = 3">
				
			</xsl:when>
			<xsl:when test="$month = 4">
				
			</xsl:when>
			<xsl:when test="$month = 5">
				
			</xsl:when>
			<xsl:when test="$month = 6">
				
			</xsl:when>
			<xsl:when test="$month = 7">
				
			</xsl:when>
			<xsl:when test="$month = 8">
				
			</xsl:when>
			<xsl:when test="$month = 9">
				
			</xsl:when>
			<xsl:when test="$month = 10">
				
			</xsl:when>
			<xsl:when test="$month = 11">
				
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="month2">
		<xsl:param name="month" />
		<xsl:choose>
			<xsl:when test="$month = 0">
				
			</xsl:when>
			<xsl:when test="$month = 1">
				
			</xsl:when>
			<xsl:when test="$month = 2">
				
			</xsl:when>
			<xsl:when test="$month = 3">
				
			</xsl:when>
			<xsl:when test="$month = 4">
				
			</xsl:when>
			<xsl:when test="$month = 5">
				
			</xsl:when>
			<xsl:when test="$month = 6">
				
			</xsl:when>
			<xsl:when test="$month = 7">
				
			</xsl:when>
			<xsl:when test="$month = 8">
				
			</xsl:when>
			<xsl:when test="$month = 9">
				
			</xsl:when>
			<xsl:when test="$month = 10">
				
			</xsl:when>
			<xsl:when test="$month = 11">
				
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="line">
		<xsl:param name="width" />
		<xsl:param name="weight" />
		<xsl:param name="space-before" />

		<fo:table table-layout="fixed" width="100%">
			<xsl:attribute name="width"><xsl:value-of select="$width" /></xsl:attribute>
			<xsl:attribute name="space-before"><xsl:value-of select="$space-before" /></xsl:attribute>
			<fo:table-column column-width="proportional-column-width(1)" />
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell border-bottom-style="solid">
						<xsl:attribute name="border-bottom-width"><xsl:value-of
							select="$weight" /></xsl:attribute>
					</fo:table-cell>
				</fo:table-row>
			</fo:table-body>
		</fo:table>
	</xsl:template>

</xsl:stylesheet>
